Subject: bug#20369: Possible inclusion of fci-mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Apr 2015 22:19:09 +0300

> From: Mark Karpov <[email-masked]>
> Date: Mon, 20 Apr 2015 23:52:07 +0600
> 
> In general, I think it's pretty easy to take already working `fci-mode':
> 
> https://github.com/alpaker/Fill-Column-Indicator/blob/master/fill-column-indicator.el
> 
> make it work smoothly with the rest of Emacs (this means fix that bug
> and bug when some lines are shifted in ERC and after
> `report-emacs-bug').

I think it also has (or had?) problems with line-move-visual.

> Maybe some cosmetic changes… It's too bad that it's
> impossible to display overlay when actual line is empty (no idea if it
> could be fixed, but it causes some little problems in `ace-window' mode
> too, for example). I think it wouldn't hurt if this mode were enabled by
> default in Emacs 25. All major editors, for example Atom, have this
> fill-column indicator… pretty nice.

I'd like to see this integrated into the display engine, before we
recommend it, let alone make it the default.  Right now, it plugs
itself into all kinds of hooks, and moves overlays after redisplay,
which generally requires an additional redisplay cycle, with a net
effect of slowing down redisplay.

> In principle I could dig into it, although I only have desire, but no
> free time. Probably you can do it much better, if you have time for it.

Sure, volunteers are welcome.  If needed, I can offer help and
guidance with changes in the display engine.

Thanks.